//
//  ContentInsightsModule.swift
//  TestReactNative3
//
//  Created by user917130 on 11/10/20.
//

import Foundation
import ContentInsightTracker

@objc(ContentInsightsSDKModule)
class ContentInsightsModule: NSObject {
  
  private var contentInsights: ContentInsights!
  
  override init() {
    super.init()
    self.contentInsights = ContentInsights.shared(domainID: "test_domain")
  }
  
  @objc static func requiresMainQueueSetup() -> Bool {
    return false
  }
  
  @objc public func startArticleReadTracker(_ referrerUrl: String, articleUrl: String, postId: String) -> Void {
    self.contentInsights.startArticleReadTracker(referUrl: referrerUrl, articleURL: articleUrl, postID: postId)
  }
  
  @objc public func startAttentionTracker(_ referrerUrl: String, articleUrl: String, postId: String) -> Void {
    self.contentInsights.startAttentionTracker(referUrl: referrerUrl, articleURL: articleUrl, postID: postId)
  }
  
  @objc public func setNewScrollPosition(_ position: Int) -> Void {
    self.contentInsights.setScrollPosition(position)
  }
  
  @objc public func startAttention() -> Void {
    self.contentInsights.startAttention()
  }
  
  @objc public func pauseAttention() -> Void {
    self.contentInsights.pauseAttention()
  }
  
  @objc public func flushArticle() -> Void {
    self.contentInsights.flushArticle()
  }
  
  
}
